Issue 58699

Summary: Updated field code after print doesn't trigger a save
Product: Writer Reporter: taomyn <taomyn>
Component: printingAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: andre.schnabel, issues
Version: OOo 2.0.1Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description taomyn 2005-11-30 21:03:13 UTC
I have documents that have the "print date" entered as a field. When the
document is opened then immediately printed the field is updated i.e. the date
has changed, as you expect and is printed. However if you then close the
document without saving it just closes - no prompt to save the change.

This is a 2.0.0beta regressed bug as it happened during one of them, I forget
which, but was fixed sometime before I had a chance to report it, and the
problem is not in the 2.0.0 release.
Comment 1 andreschnabel 2005-12-02 22:01:37 UTC
hi taomyn. I've just checked with 2.0.1. RC1 on linux. 

And yes, OOo behaves as you told. 
But: this is not a defect, this is a configuration. Go to Tools - Options, OOo -
General. Enable printing set "document modified" status. And all should work as
expected.

Could you confirm, that your documents would be trigered to save, after enabling
this option?

I'll leave this issue open, until i can check with 2.0.1 on windows.

BTW.: this option was off by default in OOo 2.0.0 as well. So wihtout setting
this option you documents would not have been triggered to be saved.
Comment 2 taomyn 2005-12-02 23:39:40 UTC
Sorry, that's not the same thing. My issue is a the "print date" field code that
happens to change on printing, not the act of printing itself, which as it's a
"change" should trigger a save request on closing.

If I instead used a "time" (not fixed) field code and press save then press F9
the save icon lights up again. The same thing should happen when the "print
date" field changes.
Comment 3 andreschnabel 2005-12-03 09:04:44 UTC
ok I got it. 

So we have an incosistent behaviour between:
- fields update on request (F9) -> triggers a "document changed"
and
- automatic field uptade (like after printing) -> does not trigger "document
changed"

accepting this as bug. But lowering priority, as an obvious way exists to
trigger "document changed" after printing and OOo 2.0.0 showed exactly the same
behaviour.
With 2.0.0 I had to press F9 after printing to trigger the "document changed"
status.
Comment 4 taomyn 2005-12-03 10:40:00 UTC
There's no inconsistency as the option to make the print action a "modification"
is not at issue. What is at issue is that when the "print date" field code is
automatically updated after a print it doesn't trigger a change. Like I stated
this worked until I updated to 2.0.1 RC 1 (and RC2 has the same problem - it
also broke for a few 2.0.0 beta releases).

Setting the general option isn't a valid workaround as I do not want every
document I print to be treated as printed (I never have). Not all my documents
have the "print date" field code.
Comment 5 michael.ruess 2005-12-06 09:36:27 UTC
Reassigned to ES.
Comment 6 taomyn 2006-05-18 11:54:09 UTC
Still happening with v2.0.1 & v2.0.2 releases and rather infuriating as my
documents with the "printed date" code aren't remembering when I last printed
them which screws up my audit trail.
Comment 7 eric.savary 2006-05-18 14:33:37 UTC
ES->OS: it worked as described in OOo 2.0
Comment 8 taomyn 2006-05-19 09:07:26 UTC
Not according to when I logged the fault. Any way regardless of whether it
worked or not in v2.x it's still incorrect behaviour or are you defining a
change to be only "certain" changes to a document, in which case that's ludicrous!

If a field code changes in a document as a result of an action within the
application, then the document has changed and the application should ask me to
save it when I try to exit. What part of that is not logical!
Comment 9 Oliver Specht 2006-05-19 09:58:14 UTC
Sorry, you may not like it but it's not a bug at all. 
As already mentioned you have the choice to switch on the "Printing sets
document modified status" option.

The field 'print date' is not modified. It has no own content - it only displays
the print date saved at the document. You wouldn't want the document to be
modified every second if you have a 'current time' field, would you?
Comment 10 taomyn 2006-05-19 10:47:47 UTC
"As already mentioned you have the choice to switch on the "Printing sets
document modified status" option." - likewise I wouldn't want printing off 100
documents to prompt me 100 times to save each one. Stupid example.

"The field 'print date' is not modified. It has no own content - it only
displays the print date saved at the document." - which will never happen unless
you use the "save as" option - the "save" button remains grey.

"You wouldn't want the document to be modified every second if you have a
'current time' field, would you?" of course not, but the field only updates if
you refresh/update the document in which case I would want to be prompted as its
a change (which in the case of the "Time" field code it does).
Comment 11 Oliver Specht 2006-05-19 11:17:33 UTC
It doesn't help to reopen a task if don't like my decision not to fix it. 

Maybe there's someone who wants to implement it - target changed to OOo PleaseHelp
Comment 12 stefan.baltzer 2009-11-18 10:23:54 UTC
Removed keyword "needmoreinfo".
Comment 13 Marcus 2017-05-20 11:19:49 UTC
Reset assigne to the default "issues@openoffice.apache.org".